CompositeTransportChannelFactory (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.composite.CompositeTransportChannelFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.composite
Class CompositeTransportChannelFactory

    java.lang.Object
      org.codehaus.activemq.transport.composite.CompositeTransportChannelFactory

All Implemented Interfaces:
  TransportChannelFactory

Direct Known Subclasses:
  DiscoveryTransportChannelFactorySupport, ReliableTransportChannelFactory

public class CompositeTransportChannelFactory
extends Object
implements TransportChannelFactory

A Composite implementation of a TransportChannelFactory

Version:
  $Revision: 1.5 $

Constructor Summary
`CompositeTransportChannelFactory()`

Method Summary
`TransportChannel` | `create(WireFormat wireFormat, URI remoteLocation)` Create a Channel to a remote Node - e.g.
`TransportChannel` | `create(WireFormat wireFormat, URI remoteLocation, URI localLocation)` Create a Channel to a remote Node - e.g.
`protected List` | `parseURIs(URI uri)`
`protected List` | `randomizeURIs(List uris)`
`boolean` | `requiresEmbeddedBroker()` Does this channel require an embedded broker to perform such as VM or multicast based transports
`protected String` | `stripLeadingSlashes(String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeTransportChannelFactory

    public CompositeTransportChannelFactory()

Method Detail

### create

    public TransportChannel create(WireFormat wireFormat,
                                   URI remoteLocation)
                            throws JMSException

  Description copied from interface: `TransportChannelFactory`
  Create a Channel to a remote Node - e.g. a Broker

  Specified by:
    `create` in interface `TransportChannelFactory`
  Parameters:
    `wireFormat` -
    `remoteLocation` -
  Returns:
    the TransportChannel bound to the remote node
  Throws:
    `JMSException`

### create

    public TransportChannel create(WireFormat wireFormat,
                                   URI remoteLocation,
                                   URI localLocation)
                            throws JMSException

  Description copied from interface: `TransportChannelFactory`
  Create a Channel to a remote Node - e.g. a Broker

  Specified by:
    `create` in interface `TransportChannelFactory`
  Parameters:
    `wireFormat` -
    `remoteLocation` -
    `localLocation` - - e.g. local InetAddress and local port
  Returns:
    the TransportChannel bound to the remote node
  Throws:
    `JMSException`

### requiresEmbeddedBroker

    public boolean requiresEmbeddedBroker()

  Description copied from interface: `TransportChannelFactory`
  Does this channel require an embedded broker to perform such as VM or multicast based transports

  Specified by:
    `requiresEmbeddedBroker` in interface `TransportChannelFactory`
  Returns:
    true if an embedded broker is a requirement of using the channel

### parseURIs

    protected List parseURIs(URI uri)
                      throws URISyntaxException

  Throws:
    `URISyntaxException`

### stripLeadingSlashes

    protected String stripLeadingSlashes(String text)

### randomizeURIs

    protected List randomizeURIs(List uris)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.